spandsp: sig_tone_descriptor_t Struct Reference

spandsp 0.0.6

sig_tone_descriptor_t Struct Reference

`#include <sig_tone.h>`

## Public Attributes
int | tone_freq [2]
| The tones used.
int | tone_amp [2][2]
| The high and low tone amplitudes for each of the tones, in dBm0.
int | high_low_timeout
| The delay, in audio samples, before the high level tone drops to a low level tone. Some signalling protocols require the signalling tone be started at a high level, to ensure crisp initial detection at the receiver, but require the tone amplitude to drop by a number of dBs if it is sustained, to reduce crosstalk levels.
int | sharp_flat_timeout
| Some signalling tone detectors use a sharp initial filter, changing to a broader, flatter, filter after some delay. This parameter defines the delay. 0 means it never changes.
int | notch_lag_time
| Parameters to control the behaviour of the notch filter, used to remove the tone from the voice path in some protocols. The notch is applied as fast as possible, when the signalling tone is detected. Its removal is delayed by this timeout, to avoid clicky noises from repeated switching of the filter on rapid pulses of signalling tone.
int | tone_on_check_time
| The tone on persistence check, in audio samples.
int | tone_off_check_time
| The tone off persistence check, in audio samples.
int | tones
| The number of tones used.
const sig_tone_notch_coeffs_t * | notch [2]
| The coefficients for the cascaded bi-quads notch filter.
const sig_tone_flat_coeffs_t * | flat
| The coefficients for the single bi-quad flat mode filter.
int16_t | detection_ratio
| Minimum signalling tone to total power ratio, in dB.
int16_t | sharp_detection_threshold
| Minimum total power for detection in sharp mode, in dB.
int16_t | flat_detection_threshold
| Minimum total power for detection in flat mode, in dB.

## Detailed Description

signalling tone descriptor. This defines the working state for a single instance of the transmit and receive sides of a signalling tone processor.

The documentation for this struct was generated from the following file:

- private/sig_tone.h